@REM
@REM Licensed Material of Hitachi, Ltd.
@REM Reproduction, use, modification or disclosure otherwise than
@REM permitted in the License Agreement is strictly prohibited.
@REM
@REM All Rights Reserved. Copyright (C) 2012-2014, Hitachi, Ltd.
@REM

@ECHO OFF
SETLOCAL


SET SETUPMSIX86=setup_x86.msi
SET SETUPMSIX64=setup_x64.msi
SET REMOTEINSTALLOPTION=/REMOT2

SET ARCHITECTUREX86=x86
SET ARCHITECTUREX64=AMD64

SET INSTALLCOMMAND=CMD /C MSIEXEC REINSTALLMODE=vomus /i
SET SILENTINSTALLOPTION=/qn

SET BATCHPATH="%~DP0"
SET REMOTETMPOPT=%1
SET DISKTMPPATH=%2
SET INSTTMPPATH=%3
SET NEWOPTION=%4

SET STRING_TEMP=%BATCHPATH:^=^^%
SET BATCHPATH=%STRING_TEMP:&=^&%

FOR %%I IN (A B C D E F G H I J K L M N O P Q R S T U V W X Y Z) ^
DO CALL SET REMOTETMPOPT=%%REMOTETMPOPT:%%I=%%I%%
IF NOT "%REMOTETMPOPT%"=="%REMOTEINSTALLOPTION%" (
    SET REMOTEOPT=
) ELSE (
    SET REMOTEOPT=%SILENTINSTALLOPTION%
)

IF DEFINED DISKTMPPATH SET DISKTMPPATH=%DISKTMPPATH:"=%
IF "%REMOTEOPT%"=="" (
    SET DISKPATH=%BATCHPATH%
) ELSE IF "%DISKTMPPATH%"=="" (
    SET DISKPATH=%BATCHPATH%
) ELSE IF NOT "%DISKTMPPATH:~0,1%"=="/" (
    SET DISKPATH=%BATCHPATH%
) ELSE (
    SET DISKPATH=%DISKTMPPATH:~1%
)

SET STRING_TEMP=%DISKPATH%
SET DISKPATH=%STRING_TEMP:"=%

IF DEFINED INSTTMPPATH SET INSTTMPPATH=%INSTTMPPATH:"=%
IF "%REMOTEOPT%"=="" (
    SET INSTPATH=
) ELSE IF "%INSTTMPPATH%"=="" (
    SET INSTPATH=
) ELSE IF "%INSTTMPPATH%"=="/" (
    SET INSTPATH=
) ELSE IF NOT "%INSTTMPPATH:~0,1%"=="/" (
    SET INSTPATH=
) ELSE (
    SET INSTPATH=TARGETDIR="%INSTTMPPATH:~1%"
)

IF "%PROCESSOR_ARCHITECTURE%"=="%ARCHITECTUREX86%" (
    IF NOT DEFINED PROCESSOR_ARCHITEW6432 (
        SET SETUPMSI=%SETUPMSIX86%
    ) ELSE IF "%PROCESSOR_ARCHITEW6432%"=="%ARCHITECTUREX86%" (
        SET SETUPMSI=%SETUPMSIX86%
    ) ELSE IF "%PROCESSOR_ARCHITEW6432%"=="%ARCHITECTUREX64%" (
        SET SETUPMSI=%SETUPMSIX64%
    ) ELSE (
        GOTO :ERROR91
    )
) ELSE IF "%PROCESSOR_ARCHITECTURE%"=="%ARCHITECTUREX64%" (
    SET SETUPMSI=%SETUPMSIX64%
) ELSE (
    GOTO :ERROR91
)

cd "%DISKPATH%"
%INSTALLCOMMAND% "%SETUPMSI%" %REMOTEOPT% %INSTPATH%
SET EXITSTATUS=%ERRORLEVEL%

GOTO :END


:ERROR00
SET EXITSTATUS=0
GOTO :END

:ERROR91
ECHO "%PROCESSOR_ARCHITECTURE%" architecture is not supported.
SET EXITSTATUS=1
GOTO :END


:END
EXIT /B %EXITSTATUS%
